expat (2.2.9-1ubuntu0.5) focal-security; urgency=medium

  * SECURITY UPDATE: Use-after-free in doContent
    - debian/patches/CVE-2022-40674.patch: ensure storeRawNames()
      is always called in func internalEntityProcessor if handling
      unbalanced tags in expat/lib/xmlparse.c.
    - CVE-2022-40674

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 15 Nov 2022 16:11:03 +0100

expat (2.2.9-1ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: Stack exhaustion
    - debian/patches/CVE-2022-25313.patch: prevent
      stack exhaustion in build_model in expat/lib/xmlparse.c.
    - debian/patches/fix-build_model-regression.patch: fix build_model
      regression in expat/lib/xmlparse.c.
    - debian/patches/protect-against-nested-element*: in expat/lib/xmlparse.
    - CVE-2022-25313
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2022-25314.patch: prevent integer overflow in
      copyString in expat/lib/xmlparse.c.
    - CVE-2022-25314
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2022-25315.patch: prevent integer overflow in
      storeRawNames in expat/lib/xmlparse.c.
    - CVE-2022-25315
  * SECURITY UPDATE: relax fix to CVE-2022-25236 with regard to
    RFC 3986 URI characters and possibly regressions
    - debian/patches/CVE-2022-25236-3.patch: add a note on namespace URI
      validation in expat/doc/reference.html, expat/lib/expat.h.
    - debian/patches/CVE-2022-25236-4.patch: document namespace separator
      effect right in header expat/lib/expat.h.
    - debian/patches/CVE-2022-25236-5.patch: cover relaxed fix in tests.
    - debian/patches/CVE-2022-25236-6.patch: relax fix with regard to
      RFC 3986 URI characters in expat/lib/xmlparse.c. (LP: #1963903)
  * removing duplicated tests
    - debian/patches/fix_test_dup.patch: removing tests were duplicated in
      expat/tests/runtests.c.

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 21 Feb 2022 15:48:46 -0300

expat (2.2.9-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Realloc misbehavior
    - debian/patches/CVE-2021-45960.patch: detect and prevent troublesome
      left shifts in function storeAtts in expat/lib/xmlparse.c.
    - CVE-2021-45960
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2021-46143.patch: prevent integer overflow
      on m_groupSize in function doProlog in expat/lib/xmlparse.c.
    - CVE-2021-46143
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2022-22822-to-CVE-2022-22827.patch: prevent integer overflow
      in multiple places in expat/lib/xmlparse.c.
    - CVE-2022-22822
    - CVE-2022-22823
    - CVE-2022-22824
    - CVE-2022-22825
    - CVE-2022-22826
    - CVE-2022-22827
  * SECURITY UPDATE: Signed integer overflow
    - debian/patches/CVE-2022-23852-*.patch: detect and prevent
      integer overflow in XML_GetBuffer in expat/lib/xmlparse.c and
      adds test to cover it in expat/tests/runtests.c.
    - CVE-2022-23852
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2022-23990.patch: prevent integer overflow in
      doProlog in expat/lib/xmlparse.c.
    - CVE-2022-23990
  * SECURITY UPDATE: Incomplete validation encoding
    - debian/patches/CVE-2022-25235-*.patch: adds missing validation
      and adds tests in expat/lib/xmltok_impl.c, expat/tests/runtests.c.
    - CVE-2022-25235
  * SECURITY UPDATE: Namespace-separator insertions
    - debian/patches/CVE-2022-25236-*.patch: Protect against malicious
      namespace declarations in expat/lib/xmlparse.c, expat/tests/runtests.c.
    - CVE-2022-25236

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 17 Feb 2022 20:09:12 -0300

expat (2.2.9-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:39:58 +0100

expat (2.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Sep 2019 18:49:55 +0000

expat (2.2.7-2) unstable; urgency=high

  * Fix CVE-2019-15903: deny internal entities closing the doctype
    (closes: #939394).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Sep 2019 18:01:00 +0000

expat (2.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Update libexpat1 symbols.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 13 Jul 2019 21:46:00 +0000

expat (2.2.6-2) unstable; urgency=high

  * Fix extraction of namespace prefix from XML name (CVE-2018-20843)
    (closes: #931031).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 24 Jun 2019 21:18:31 +0000

expat (2.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Disable Vcs-* fields for now.
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 15 Aug 2018 15:18:15 +0000

expat (2.2.5-3) unstable; urgency=medium

  * Don't install irrelevant README.md (closes: #884818).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Dec 2017 00:17:04 +0000

expat (2.2.5-2) unstable; urgency=medium

  * Upload to Sid.
  * Install AUTHORS file.
  * Update project homepage.
  * Migrate d/copyright to format 1.0 .
  * Update debhelper level to 11 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 Dec 2017 07:33:25 +0000

expat (2.2.5-1) experimental; urgency=medium

  * New upstream release (closes: #883708).
  * Use the main source for packaging (closes: #874177).
  * Drop outdated multilib packages (closes: #775942, #779459).
  * Add docbook2x build dependency.
  * Update libexpat1 symbols.
  * Update Standards-Version to 4.1.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Dec 2017 07:24:56 +0000

expat (2.2.3-2) unstable; urgency=medium

  * Do not install .la files (closes: #880110).
  * Don't expose libbsd-dev dependency on libexpat1-dev .
  * Update Standards-Version to 4.1.1:
    - change libexpat1-udeb priority to optional.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Nov 2017 13:01:19 +0000

expat (2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove dh-autoreconf build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 02 Aug 2017 19:54:40 +0000

expat (2.2.2-2) unstable; urgency=medium

  * Build with libbsd on Hurd as well.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Jul 2017 14:23:03 +0000

expat (2.2.2-1) unstable; urgency=high

  * New upstream release:
    - fix non-NULL parser parameter validation in XML_Parse; resulted in
      NULL dereference.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 13 Jul 2017 22:46:33 +0000

expat (2.2.1-3) unstable; urgency=medium

  * Add libbsd-dev dependency to libexpat1-dev on kFreeBSD architectures
    (closes: #867252).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 05 Jul 2017 17:45:36 +0000

expat (2.2.1-2) unstable; urgency=medium

  * Fix mis-detection of getrandom() on kFreeBSD.
  * Utilize libbsd for arc4random_buf() on kFreeBSD.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Jun 2017 21:05:46 +0000

expat (2.2.1-1) unstable; urgency=high

  * New upstream release:
    - upstream fix for CVE-2016-9063 to prevent undefined behavior from signed
      integer overflow,
    - fix CVE-2017-9233: external entity infinite loop DoS,
    - fix regression from fix to CVE-2016-0718 cutting off longer tag names,
    - use high quality entropy for hash initialization for part of
      CVE-2016-5300,
    - change hash algorithm to William Ahern's version of SipHash to go
      further with fixing CVE-2012-0876.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Jun 2017 20:48:02 +0000

expat (2.2.0-2) unstable; urgency=high

  * Use fix from Mozilla for CVE-2016-9063: integer overflow during the
    parsing of XML.
  * Replace deprecated -s debhelper switch with the -a one.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 02 Jan 2017 21:12:32 +0000

expat (2.2.0-1) unstable; urgency=low

  * New upstream release, update symbols accordingly.
  * Use upstream manpage for xmlwf.
  * Drop all patches as this release contains those.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Jun 2016 15:29:58 +0000

expat (2.1.1-3) unstable; urgency=high

  * Use upstream fix for the following security vulnerabilities:
    - CVE-2012-6702, unanticipated internal calls to srand
    - CVE-2016-5300, use of too little entropy

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Jun 2016 00:17:46 +0000

expat (2.1.1-2) unstable; urgency=high

  * Avoid relying on undefined behavior in CVE-2015-1283 fix.
  * Apply upstream patch to fix the root cause of CVE-2016-0718 and
    CVE-2016-0719 vulnerabilities.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 May 2016 05:35:08 +0000

expat (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches, applied upstream.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Mar 2016 07:28:07 +0100

expat (2.1.0-7) unstable; urgency=high

  * Fix CVE-2015-1283, multiple integer overflows in the XML_GetBuffer
    function (closes: #793484).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Jul 2015 14:48:45 +0000

expat (2.1.0-6) unstable; urgency=low

  * Really do the Ubuntu sync (closes: #748250).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Jun 2014 15:54:15 +0000

expat (2.1.0-5) unstable; urgency=low

  * Move to Standards-Version 3.9.5 and to debhelper level 9 .
  * Sync with Ubuntu.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Use dh-autoreconf (closes: #748250).
  * Enable parallel builds.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 May 2014 20:43:19 +0200

expat (2.1.0-4) unstable; urgency=low

  * New maintainer (closes: #660681).
  * Update to Standards-Version 3.9.4 , no changes needed.
  * Move to compat level 8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 07 Jul 2013 12:43:10 +0200

expat (2.1.0-3) unstable; urgency=low

  * QA upload, set maintainer address to the QA team.
  * Move expat_config.h into the multiarch include location.
  * Make libexpat1-dev Multi-Arch: same.
  * Update config.{guess,sub} for aarch64 (Wookey). Closes: #689619.
  * Don't ship the pkgconfig file in lib64expat1-dev. Closes: #706932.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2013 11:13:47 +0200

expat (2.1.0-1) unstable; urgency=low

  * QA upload.
  * expat 2.1.0 release.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Apr 2012 10:22:55 +0200

expat (2.1.0~beta3-2) unstable; urgency=medium

  * Fix symbol version for XML_SetHashSalt. Addresses #665362.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Mar 2012 17:33:01 +0100

expat (2.1.0~beta3-1) unstable; urgency=low

  * QA upload.
  * Beta release 2.1.0 beta3. Closes: #663579.
    - CVE-2012-1147 - Resource leak in readfilemap.c.
    - CVE-2012-1148 - Memory leak in poolGrow.
    - CVE-2012-0876 - Hash DOS attack.
    - Remove patches applied upstream.
  * Remove Daniel from uploaders (orphaned package).
  * Update package format to 3.0.
  * Enable hardened build. Closes: #653526.
  * Add a symbols file.
  * Install expat pkgconfig file.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Mar 2012 22:37:22 +0100

expat (2.0.1-7.2ubuntu1) precise; urgency=low

  * CVE-2012-0876: Randomize hashes of xml attributes in the expat library
    to avoid a denial of service due to hash collisions.  Patch by David
    Malcolm with some modifications by the expat project.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Mar 2012 02:13:54 +0100

expat (2.0.1-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix symlink breakage introduced with my last upload.  (Closes: #647340)

 -- Robert Millan <rmh@debian.org>  Wed, 02 Nov 2011 09:42:21 +0000

expat (2.0.1-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Multi-arch support (patch from Steve Langaseck).  (Closes: #632261)
  * Move libexpat.so.1 to /lib.  (Closes: #637101)

 -- Robert Millan <rmh@debian.org>  Sat, 22 Oct 2011 10:09:29 +0000

expat (2.0.1-7) unstable; urgency=low

  * debian/control (Depends): Fixed debhelper-but-no-misc-depends.
  * debian/patches/560901_CVE_2009_3560.dpatch: Adjusted.
    - lib/xmlparse.c (doProlog): Revised patch for CVE-2009-3560 after
      regressions have been detected (closes: #561658). Many thanks to
      Niko Tyni and Karl Waclawek for their help and the fix.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 29 Dec 2009 22:18:35 +0100

expat (2.0.1-6) unstable; urgency=medium

  * debian/patches/560901_CVE_2009_3560.dpatch: Added.
    - lib/xmlparse.c (doProlog): Fix DoS vulnerability CVE-2009-3560 (closes:
      #560901).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 13 Dec 2009 12:06:07 +0100

expat (2.0.1-5) unstable; urgency=medium

  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Priority, Section): Fixed binary-control-field-duplicates-source.
    (Description): Fixed extended-description-is-probably-too-short and
    duplicate-long-description.
  * debian/rules (CFLAGS): Drop useless '-pthread -D_REENTRANT' from version
    1.95-8-1 (closes: #551079).
  * debian/README.source: Added for policy compliance.
  * debian/patches/551936_CVE_2009_2625.dpatch: Added.
    - lib/xmltok_impl.c (updatePosition): Fix DoS vulnerability CVE-2009-2625
      and CVE-2009-3720 (closes: #551936).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 03 Nov 2009 22:41:38 +0100

expat (2.0.1-4) unstable; urgency=low

  * debian/libexpat1-dev.install: Install the libtool .la files again and drop
    them after Lenny (closes: #485460).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 09 Jun 2008 20:48:30 +0200

expat (2.0.1-3) unstable; urgency=low

  * debian/patches/485129_fix_underquotation_in_m4.dpatch: Added.
    - conftools/expat.m4: Fixed underquotation in AC_DEFUN (closes: #485129).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 08 Jun 2008 20:15:58 +0200

expat (2.0.1-2) unstable; urgency=low

  * debian/rules: Set correct host flags to prevent FTBFS on architectures,
    where we build the lib64expat* packages.
    (build-stamp, install): Fixed a stupid mistake leading to an FTBFS on the
    architectures, where we don't build the lib64expat* packages.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 07 Jun 2008 20:35:04 +0200

expat (2.0.1-1) unstable; urgency=low

  * New upstream release 2.0.1 (closes: #429175).

  [ Matthias Klose ]
  * debian/control: Added 64bit libraries.
    (Build-Depends): Added gcc-multilib.
  * debian/lib64expat1-dev.install: Added.
  * debian/lib64expat1.install: Ditto.
  * debian/lib64expat1.shlibs: Ditto.
  * debian/libexpat1.links: Remove the old libexpat.so.0 symlink.
  * debian/libexpat1-udeb.links: Ditto.
  * debian/libexpat1.shlibs: Removed libexpat.so.0.

  [ Daniel Leidert ]
  * Removed Debian-written autotools stuff.
  * debian/control: Added Homepage and Vcs* fields. Added conflicts with wink
    package version, relying on the compat symlink.
    (Standards-Version): Increased to 3.7.3.
    (Build-Depends): Added dpatch and docbook-to-man.
    (Uploaders): Added myself.
    (Depends): lib64expat1-dev should depend on libexpat1-dev.
  * debian/copyright: Added missing copyright of the last years.
  * debian/expat.install: Do not copy the upstream manpage (see debian/rules).
  * debian/libexpat1-dev.install: Install the expat.m4 macro file. Do not
    install the libtool .la files.
  * debian/lib64expat1-dev.install: Do not install the libtool .la files
    either.
  * debian/libexpat1-dev.examples: Only install the C sources.
  * debian/libexpat1-udeb.install: Make sure, only libexpat is installed (for
    the moment).
  * debian/libexpat1.shlibs: Adjusted for libexpatw.
  * debian/lib64expat1.shlibs: Ditto.
  * debian/rules: Rewritten to make it shorter (yeah sorry, I removed the
    comments too).
    - Added dpatch stuff.
    - Create the manpage xmlwf.1 on-the-fly (there is doc/xmlwf.1, but it has
      issues and gets patched, so we recreate it).
    - Build and install libexpatw with XML_UNICODE support enabled (closes:
      #277133).
  * debian/patches/82763_xmlwf_error_out_2.dpatch: Added (#82763).
  * debian/patches/302191_install_expat_config_h.dpatch: Added (#302191).
  * debian/patches/342684_libtoolize.dpatch: Added (#342684).
    - Further update configure (closes: #439127).
  * debian/patches/412786_xmlwf_man_standard_fix.dpatch: Added (#412786).
  * debian/patches/00list: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 07 Jun 2008 14:54:30 +0200

expat (2.0.1-0ubuntu1) hardy; urgency=low

  * New upstream version. LP: #133808.
  * Remove the old libexpat.so.0 symlink; this bug predates Ubuntu (was
    fixed in version 1.95.5-1).
  * Drop the extra build files in bcb5/.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Dec 2007 17:37:50 +0100

expat (1.95.8-4ubuntu1) gutsy; urgency=low

  * Build 64bit packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Sep 2007 10:00:04 +0200

expat (1.95.8-4) unstable; urgency=low

  * Acknowledged NMUs 1.95.8-3.1 - 1.95.8-3.4
    ( closes: Bug#355937, Bug#354244, Bug#342684)
  * lib/expat.h: removed trailing comma from enum XML_Status
    (closes: Bug#344298)
  * debian/control: removed 'Provides' from libexpat1-udeb stanza
    (closes: Bug#419606)
  * xmlwf/xmlwf.1: removed incorrect statement on well-formedness
    (closes: Bug#412786
  * debian/TODO: updated
  * debian/control: upgraded to Debian Policy 3.7.2 (no changes)
    (thanks Bryan Donlan <bdonlan@fushizen.net> !)
  * debian/rules: replaced $(PWD) by $(CURDIR)
  * debian/control: replaced ${Source-Version} by ${Source-Version}
    (thanks Bryan Donlan <bdonlan@fushizen.net> !)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 22 Jul 2007 17:59:57 -0500
  
expat (1.95.8-3.4) unstable; urgency=low

  * Porter NMU.
  * Libtool update (closes: bug#342684).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 20:04:23 +0100

expat (1.95.8-3.3) unstable; urgency=low

  * NMU
  * Use fixed watch file from Bart Martens.  closes: #354244.

 -- Clint Adams <schizo@debian.org>  Thu,  7 Sep 2006 22:04:05 -0400

expat (1.95.8-3.2) unstable; urgency=low

  * Non Maintainer Upload
  * Correct mistake in patch for #355937 so that udeb: lines in shlibs file
    actually refer to the udeb package

 -- Frans Pop <fjp@debian.org>  Tue, 28 Mar 2006 22:09:52 +0200

expat (1.95.8-3.1) unstable; urgency=low

  * Non Maintainer Upload (closes: #355937)
  * Add support for udeb dependency resolution in shlibs file
  * Simplify debian/rules by making use of udeb support in debhelper
  * Update debhelper compatibility to level 5

 -- Frans Pop <fjp@debian.org>  Sat, 18 Mar 2006 01:21:09 +0100

expat (1.95.8-3) unstable; urgency=low

  * Makefile.in: added $(srcdir)/expat_config.h to APIHEADER
    (closes: Bug#302191)
  * rebuild against latest libtool for kfreebsd-gnu
    (closes: Bug#295825)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 19 Apr 2005 21:50:50 -0500

expat (1.95.8-2) unstable; urgency=low

  * rebuild against latest libtool for kfreebsd-gnu

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 19 Feb 2005 13:45:36 -0600

expat (1.95.8-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#263858)
  * debian/rules: added '-pthread -D_REENTRANT' to 'CFLAGS'
  * Added debian/watch

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 19 Oct 2004 19:31:03 -0500

expat (1.95.6-8) unstable; urgency=low

  * debian/control: fixed typo in maintainer's email address

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Feb 2004 11:01:15 -0600

expat (1.95.6-7) unstable; urgency=low

  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)
  * debian/control: changed 'Maintainer' to 'Debian XML/SGML Group
    <debian-xml-sgml-pkgs@lists.alioth.debian.org>' and added current
    maintainer as 'Uploader'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Feb 2004 10:51:47 -0600

expat (1.95.6-6) unstable; urgency=low

  * debian/control: changed section of 'libexpat1-dev' from 'devel'
    to 'libdevel' to align with override
  * debian/control: changed priority of 'libexpat1-udeb' from 'optional'
    to 'extra' to aliagn with override

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 29 Jul 2003 19:53:02 -0500

expat (1.95.6-5) unstable; urgency=low

  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 28 Jul 2003 22:45:43 -0500

expat (1.95.6-4) unstable; urgency=low

  * Added support to generate a 'libexpat1-udeb' package for the upcoming
    gtk frontend for the new debian installer
    (closes: Bug#183830)
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  9 Mar 2003 20:42:31 -0600

expat (1.95.6-3) unstable; urgency=low

  * lib/expat.h: moved declaration of 'enum XML_Status' up
    (closes: Bug#179914)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 17 Feb 2003 19:28:14 -0600

expat (1.95.6-2) unstable; urgency=low

  * debian/libexpat1.shlibs: changed to 1.95.6 (oops!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Feb 2003 18:24:54 -0600

expat (1.95.6-1) unstable; urgency=low

  * New upstream release
    - fixes frequent segfault on nontrivial documents using namespaces
      (closes: Bug#179462)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Feb 2003 14:53:04 -0600

expat (1.95.5-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#164202)
  * debian/control: changed dependency for package 'libexpat1-dev' on the
    C library from 'libc6-dev' to 'libc6-dev | libc-dev'
  * debian/libexpat1.shlibs: added to provide info about libexpat.so.0
    (which is a symlink to libexpat.so.1 due to an NMU mishap, see below)
    (closes: Bug#147751)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 25 Dec 2002 14:46:32 -0600

expat (1.95.2-10) unstable; urgency=low

  * autogen.sh: upgraded to 'automake1.7'
  * debian/rules: removed 'autotools' target as its function is now handled
    by 'autogen.sh'
  * debian/control: removed obsolete build dependency on 'autotools-dev'
  * debian/control: added 'Provides' and 'Conflicts' with 'libexpat-dev'
    for package 'libexpat1-dev'
  * debian/control: upgraded to Debian Policy 3.5.8

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 21 Dec 2002 23:33:34 -0600

expat (1.95.2-9) unstable; urgency=low

  * debian/rules: migrated documentation installation handling to debhelper

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  6 Oct 2002 22:52:54 -0500

expat (1.95.2-8) unstable; urgency=low

  * debian/rules: migrated to autoconf 2.52 and above

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  6 Oct 2002 15:37:04 -0500

expat (1.95.2-7) unstable; urgency=low

  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on debhelper accordingly
  * debian/rules: migrated from 'dh_movefiles' to 'dh_install'
  * debian/rules: split off 'install' target from 'binary-arch' target

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 10 Aug 2002 11:02:25 -0500

expat (1.95.2-6) unstable; urgency=low

  * debian/control: removed unnecessary build dependency on 'autoconf'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  9 Dec 2001 12:19:40 -0600

expat (1.95.2-5) unstable; urgency=low

  * Added man page for 'xmlwf'
    (closes: Bug#39461)
  * Converted to autotools-dev
  * debian/control: added build dependency on 'autotools-dev'
  * debian/control: removed build dependency on 'automake' and 'libtool'

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri,  7 Dec 2001 23:35:47 -0600

expat (1.95.2-4) unstable; urgency=low

  * Removed explicit 'dhelp' support since 'doc-base' now takes care of this
  * debian/control: upgraded to Debian Policy 3.5.6

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  4 Nov 2001 11:22:19 -0600

expat (1.95.2-3) unstable; urgency=high

  * Includes NMU 1.95.2-2.1
    (closes: Bug#111957)
  * Added symlink from libexpat.so.0 to libexpat.so.1 to handle the
    problems caused by the library soname change introduced by this NMU
    (closes: Bug#116724, Bug#116727)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 31 Oct 2001 11:09:47 -0600

expat (1.95.2-2.1) unstable; urgency=low

  * NMU.
  * Added call to aclocal before call to autoconf in Makefile.in.
    Closes: #111957.
  * Ran 'libtoolize --force --copy' to update libtool info.  This
    works around problem with libtool version skew during build.
    Should this be done in Makefile.in?

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 17 Oct 2001 10:35:46 -0600

expat (1.95.2-2) unstable; urgency=low

  * debian/control: added build dependency on 'libtool'
    (closes: Bug#111693)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  8 Sep 2001 14:29:55 -0500

expat (1.95.2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: updated

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu,  6 Sep 2001 20:26:55 -0500

expat (1.95.1-6) unstable; urgency=low

  * debian/rules: fixed doc directory handling
    (closes: Bug#104460)
  * debian/control: upgraded to Debian Policy 3.5.5
  * xmlwf/xmlwf.c: changed to return error code 2 upon the first
    processing error
    (closes: Bug#82763)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 15 Jul 2001 10:10:05 -0500

expat (1.95.1-5) unstable; urgency=low

  * conftools/config.*: updated to latest version
    (closes: Bug#94772)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue,  1 May 2001 21:49:55 -0500

expat (1.95.1-4) unstable; urgency=low

  * debian/control: added build dependency on 'autoconf' and 'automake'
    (closes: Bug#95296)

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 26 Apr 2001 11:25:16 -0500

expat (1.95.1-3) unstable; urgency=low

  * debian/control: updated debhelper dependency to remove 'dh_testversion'
  * debian/control: upgraded to Debian Policy 3.5.2

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 24 Apr 2001 20:56:35 -0500

expat (1.95.1-2) unstable; urgency=low

  * debian/control: fixed section override disparity

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 29 Jan 2001 19:31:30 -0600

expat (1.95.1-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#74383, Bug#81866)
  * Added doc-base and dhelp support

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 28 Jan 2001 09:02:53 -0600

expat (1.1-3) unstable; urgency=low

  * New maintainer

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  7 Oct 2000 13:40:57 -0500

expat (1.1-2) unstable; urgency=low

  * debian/rules: more debhelperification and use more FHS stuff
  * debian/control: standards bumped to 3.2.1 (closes: Bug#70336)

 -- Adam Di Carlo <aph@debian.org>  Wed, 27 Sep 2000 00:56:10 -0400

expat (1.1-1) unstable; urgency=low

  * new upstream version
  * debian/rules: aesthetic cleanups, use a bit more debhelper stuff to
    reduce complexity

 -- Adam Di Carlo <aph@debian.org>  Tue,  1 Jun 1999 22:36:29 -0400

expat (1.0.2-1) unstable; urgency=low

  * new upstream version
  * maintainer name change
  * standards-version: bumped to 2.5.0 (no changes required)

 -- Adam Di Carlo <aph@debian.org>  Wed, 13 Jan 1999 18:35:53 -0500

expat (1.0-2) unstable; urgency=low

  * debian/rules: fix symlink for docdir of libxmltok1-dev

 -- Adam P. Harris <aph@debian.org>  Sun, 23 Aug 1998 15:51:43 -0400

expat (1.0-1) unstable; urgency=low

  * Initial release.
  * Makefile: added MPL notice as required by license, modifications to
    enable building of xmltok and xmlparse as shared and static
    libraries.
  * xmltok/Makefile: created to enable building libxmltok.a and
    libxmltok.so
  * xmlparse/Makefile: created to enable building libxmlparse.a and and
    libxmlparse.so
  * debian/*: Debian-specific files

 -- Adam P. Harris <aph@debian.org>  Mon, 17 Aug 1998 01:12:09 -0400
